com.genesyslab.wfm7.API.service.scheduleTrade720

## Class SchTradeResponse

- java.lang.Object
- - com.genesyslab.wfm7.API.service.scheduleTrade720.SchTradeResponse

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeResponse
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswProposalAgentId`
    `private int` | `gswResponseAgentId`
    `private java.lang.String` | `wmComments`
    `private double[]` | `wmDays`
    `private int` | `wmDaysNSizeIs`
    `private double` | `wmExpireDateTime`
    `private int` | `wmPaidMinutes`
    `private double` | `wmResponseDateTime`
    `private int` | `wmSiteId`
    `private int` | `wmStatus`
    `private int` | `wmTradeProposalId`
    `private int` | `wmTradeResponseId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeResponse()`
    `SchTradeResponse(int wmTradeResponseId, int wmTradeProposalId, int wmSiteId, int gswResponseAgentId, int gswProposalAgentId, java.lang.String wmComments, int wmStatus, int wmPaidMinutes, double wmResponseDateTime, double wmExpireDateTime, int wmDaysNSizeIs, double[] wmDays)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswProposalAgentId()` Gets the gswProposalAgentId value for this SchTradeResponse.
    `int` | `getGswResponseAgentId()` Gets the gswResponseAgentId value for this SchTradeResponse.
    `java.lang.String` | `getWmComments()` Gets the wmComments value for this SchTradeResponse.
    `double[]` | `getWmDays()` Gets the wmDays value for this SchTradeResponse.
    `int` | `getWmDaysNSizeIs()` Gets the wmDaysNSizeIs value for this SchTradeResponse.
    `double` | `getWmExpireDateTime()` Gets the wmExpireDateTime value for this SchTradeResponse.
    `int` | `getWmPaidMinutes()` Gets the wmPaidMinutes value for this SchTradeResponse.
    `double` | `getWmResponseDateTime()` Gets the wmResponseDateTime value for this SchTradeResponse.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this SchTradeResponse.
    `int` | `getWmStatus()` Gets the wmStatus value for this SchTradeResponse.
    `int` | `getWmTradeProposalId()` Gets the wmTradeProposalId value for this SchTradeResponse.
    `int` | `getWmTradeResponseId()` Gets the wmTradeResponseId value for this SchTradeResponse.
    `int` | `hashCode()`
    `void` | `setGswProposalAgentId(int gswProposalAgentId)` Sets the gswProposalAgentId value for this SchTradeResponse.
    `void` | `setGswResponseAgentId(int gswResponseAgentId)` Sets the gswResponseAgentId value for this SchTradeResponse.
    `void` | `setWmComments(java.lang.String wmComments)` Sets the wmComments value for this SchTradeResponse.
    `void` | `setWmDays(double[] wmDays)` Sets the wmDays value for this SchTradeResponse.
    `void` | `setWmDaysNSizeIs(int wmDaysNSizeIs)` Sets the wmDaysNSizeIs value for this SchTradeResponse.
    `void` | `setWmExpireDateTime(double wmExpireDateTime)` Sets the wmExpireDateTime value for this SchTradeResponse.
    `void` | `setWmPaidMinutes(int wmPaidMinutes)` Sets the wmPaidMinutes value for this SchTradeResponse.
    `void` | `setWmResponseDateTime(double wmResponseDateTime)` Sets the wmResponseDateTime value for this SchTradeResponse.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this SchTradeResponse.
    `void` | `setWmStatus(int wmStatus)` Sets the wmStatus value for this SchTradeResponse.
    `void` | `setWmTradeProposalId(int wmTradeProposalId)` Sets the wmTradeProposalId value for this SchTradeResponse.
    `void` | `setWmTradeResponseId(int wmTradeResponseId)` Sets the wmTradeResponseId value for this SchTradeResponse.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmTradeResponseId

          private int wmTradeResponseId

    - #### wmTradeProposalId

          private int wmTradeProposalId

    - #### wmSiteId

          private int wmSiteId

    - #### gswResponseAgentId

          private int gswResponseAgentId

    - #### gswProposalAgentId

          private int gswProposalAgentId

    - #### wmComments

          private java.lang.String wmComments

    - #### wmStatus

          private int wmStatus

    - #### wmPaidMinutes

          private int wmPaidMinutes

    - #### wmResponseDateTime

          private double wmResponseDateTime

    - #### wmExpireDateTime

          private double wmExpireDateTime

    - #### wmDaysNSizeIs

          private int wmDaysNSizeIs

    - #### wmDays

          private double[] wmDays

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchTradeResponse

          public SchTradeResponse()

    - #### SchTradeResponse

          public SchTradeResponse(int wmTradeResponseId,
                          int wmTradeProposalId,
                          int wmSiteId,
                          int gswResponseAgentId,
                          int gswProposalAgentId,
                          java.lang.String wmComments,
                          int wmStatus,
                          int wmPaidMinutes,
                          double wmResponseDateTime,
                          double wmExpireDateTime,
                          int wmDaysNSizeIs,
                          double[] wmDays)

  - ### Method Detail

    - #### getWmTradeResponseId

          public int getWmTradeResponseId()

      Gets the wmTradeResponseId value for this SchTradeResponse.
      Returns:
        wmTradeResponseId Response ID

    - #### setWmTradeResponseId

          public void setWmTradeResponseId(int wmTradeResponseId)

      Sets the wmTradeResponseId value for this SchTradeResponse.
      Parameters:
        `wmTradeResponseId` - Response ID

    - #### getWmTradeProposalId

          public int getWmTradeProposalId()

      Gets the wmTradeProposalId value for this SchTradeResponse.
      Returns:
        wmTradeProposalId Proposal ID

    - #### setWmTradeProposalId

          public void setWmTradeProposalId(int wmTradeProposalId)

      Sets the wmTradeProposalId value for this SchTradeResponse.
      Parameters:
        `wmTradeProposalId` - Proposal ID

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this SchTradeResponse.
      Returns:
        wmSiteId Site ID

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this SchTradeResponse.
      Parameters:
        `wmSiteId` - Site ID

    - #### getGswResponseAgentId

          public int getGswResponseAgentId()

      Gets the gswResponseAgentId value for this SchTradeResponse.
      Returns:
        gswResponseAgentId Responding agent ID

    - #### setGswResponseAgentId

          public void setGswResponseAgentId(int gswResponseAgentId)

      Sets the gswResponseAgentId value for this SchTradeResponse.
      Parameters:
        `gswResponseAgentId` - Responding agent ID

    - #### getGswProposalAgentId

          public int getGswProposalAgentId()

      Gets the gswProposalAgentId value for this SchTradeResponse.
      Returns:
        gswProposalAgentId Proposing agent ID

    - #### setGswProposalAgentId

          public void setGswProposalAgentId(int gswProposalAgentId)

      Sets the gswProposalAgentId value for this SchTradeResponse.
      Parameters:
        `gswProposalAgentId` - Proposing agent ID

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the wmComments value for this SchTradeResponse.
      Returns:
        wmComments Response comment

    - #### setWmComments

          public void setWmComments(java.lang.String wmComments)

      Sets the wmComments value for this SchTradeResponse.
      Parameters:
        `wmComments` - Response comment

    - #### getWmStatus

          public int getWmStatus()

      Gets the wmStatus value for this SchTradeResponse.
      Returns:
        wmStatus Trade response status
      See Also:
        `SchTradeResponseStatus`

    - #### setWmStatus

          public void setWmStatus(int wmStatus)

      Sets the wmStatus value for this SchTradeResponse.
      Parameters:
        `wmStatus` - Trade response status
      See Also:
        `SchTradeResponseStatus`

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the wmPaidMinutes value for this SchTradeResponse.
      Returns:
        wmPaidMinutes Total paid minutes in response agent days

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int wmPaidMinutes)

      Sets the wmPaidMinutes value for this SchTradeResponse.
      Parameters:
        `wmPaidMinutes` - Total paid minutes in response agent days

    - #### getWmResponseDateTime

          public double getWmResponseDateTime()

      Gets the wmResponseDateTime value for this SchTradeResponse.
      Returns:
        wmResponseDateTime Date and time of when response was sent

    - #### setWmResponseDateTime

          public void setWmResponseDateTime(double wmResponseDateTime)

      Sets the wmResponseDateTime value for this SchTradeResponse.
      Parameters:
        `wmResponseDateTime` - Date and time of when response was sent

    - #### getWmExpireDateTime

          public double getWmExpireDateTime()

      Gets the wmExpireDateTime value for this SchTradeResponse.
      Returns:
        wmExpireDateTime Date and time of when response will expire

    - #### setWmExpireDateTime

          public void setWmExpireDateTime(double wmExpireDateTime)

      Sets the wmExpireDateTime value for this SchTradeResponse.
      Parameters:
        `wmExpireDateTime` - Date and time of when response will expire

    - #### getWmDaysNSizeIs

          public int getWmDaysNSizeIs()

      Gets the wmDaysNSizeIs value for this SchTradeResponse.
      Returns:
        wmDaysNSizeIs Date array size

    - #### setWmDaysNSizeIs

          public void setWmDaysNSizeIs(int wmDaysNSizeIs)

      Sets the wmDaysNSizeIs value for this SchTradeResponse.
      Parameters:
        `wmDaysNSizeIs` - Date array size

    - #### getWmDays

          public double[] getWmDays()

      Gets the wmDays value for this SchTradeResponse.
      Returns:
        wmDays List of days in response

    - #### setWmDays

          public void setWmDays(double[] wmDays)

      Sets the wmDays value for this SchTradeResponse.
      Parameters:
        `wmDays` - List of days in response

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.